Subject: bug#32959: 26; Emacs manual index entry `C-SPC C-SPC disabling Transient Mark'

From: Drew Adams <[email-masked]>
Date: Fri, 12 Oct 2018 14:00:44 +0000 (UTC)

> > This index entry seems to be misnamed.  Compare, for example, the index
> > entry for `C-u C-x C-x' (which goes to the same node).  The latter entry
> > is named just `C-u C-x C-x', not `C-u C-x C-x disabling Transient Mark'.
> 
> There is already an index entry "C-SPC C-SPC", so we need to
> disambiguate the second one.

In that case, the plain `C-SPC C-SPC' should be something like
`C-SPC C-SPC, set mark without activating'.

> I changed the qualification to say "enabling Transient Mark
> mode temporarily".

That's certainly better than "disabling". Thx.

> > Beyond the name of this entry, this doc seems confusing to me.
> >
> > Should it talk about turning the mode on/off, or about
> > enabling/disabling the mode, or about activating/deactivating the mode.
> > The node uses all three, which only confuses.
> 
> I don't find it confusing at all, so I didn't change the text.

Do you know of other places in Emacs where we speak of
activating/deactivating a _mode_? Actually, yes, it turns
out there are a few - but very few. Should you change
your mind and decide to correct them, here they are:

In the Emacs manual:

Node `CUA Bindings':
"CUA mode by default activates Delete-Selection mode..."

Node `Indentation Commands':
"the command activates a transient mode..."

Node `Key Bindings':
"activating a mode might override your..."

In the Elisp manual:

Node `Minor Modes':
"possible to activate and deactivate minor modes..."

That's it, for the manuals - 4 occurrences altogether.

In doc strings, we also have a few occurrences:

vc-mode: "This minor mode is automatically activated..."
allout-mode: "automatic activation of `allout-mode'"
allout-auto-activation: "outline mode auto-activation"
Info-edit-mode-hook: `Info-edit-mode' is activated
indent-rigidly: "any other key deactivates the transient mode"
set-mark-command: "activates `transient-mark-mode'"
follow-delete-other-windows-and-split: "Follow mode is activated"
ps-prologue-file: "major/minor-mode is activated"
isearch-yank-word-or-char: "`subword-mode' is activated"
vc-refresh-state: "VC mode is deactivated"

That's very few occurrences, for all of Emacs: 4 in manuals, 10 in doc strings.

I would say "turn on" or "enable" a mode, which is what
Emacs says everywhere else, AFAIK. These occurrences
are just typos/slips, I imagine.